# Uses of Interface
alt.javax.mail.Session

Packages that use Session
Package
Description
alt.javax.mail
alt.javax.mail.internet
com.mockobjects.mail
com.mockobjects.mail.internet

## Uses of Session in alt.javax.mail

Classes in alt.javax.mail that implement Session
Modifier and Type
Class
Description
`class`
`SessionImpl`
Methods in alt.javax.mail that return Session
Modifier and Type
Method
Description
`Session`
Session.`getDefaultInstance(Properties props)`
`Session`
Session.`getDefaultInstance(Properties props, Authenticator authenticator)`
`Session`
SessionImpl.`getDefaultInstance(Properties props)`
`Session`
SessionImpl.`getDefaultInstance(Properties props, Authenticator authenticator)`
`Session`
Session.`getInstance(Properties props)`
`Session`
Session.`getInstance(Properties props, Authenticator authenticator)`
`Session`
SessionImpl.`getInstance(Properties props)`
`Session`
SessionImpl.`getInstance(Properties props, Authenticator authenticator)`

## Uses of Session in alt.javax.mail.internet

Methods in alt.javax.mail.internet with parameters of type Session
Modifier and Type
Method
Description
`MimeMessage`
MimeMessageFactory.`createMimeMessage(Session session)`
`MimeMessage`
MimeMessageFactoryImpl.`createMimeMessage(Session session)`
Constructors in alt.javax.mail.internet with parameters of type Session
Modifier
Constructor
Description
``
`MimeMessageImpl(Session session)`

## Uses of Session in com.mockobjects.mail

Classes in com.mockobjects.mail that implement Session
Modifier and Type
Class
Description
`class`
`MockSession`
Methods in com.mockobjects.mail that return Session
Modifier and Type
Method
Description
`Session`
MockSession.`getDefaultInstance(Properties props)`
`Session`
MockSession.`getDefaultInstance(Properties props, Authenticator authenticator)`
`Session`
MockSession.`getInstance(Properties props)`
`Session`
MockSession.`getInstance(Properties props, Authenticator authenticator)`

## Uses of Session in com.mockobjects.mail.internet

Methods in com.mockobjects.mail.internet with parameters of type Session
Modifier and Type
Method
Description
`MimeMessage`
MockMimeMessageFactory.`createMimeMessage(Session aSession)`
`void`
MockMimeMessageFactory.`setExpectedSession(Session aSession)`